commit: 230e991b0b4664eb888c0d2767a740fb1eb73e10
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 7 15:42:37 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jan 7 16:01:42 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=230e991b
media-gfx/graphviz: Fix build w/ USE=-examples
Not all USE flag combinations build a demo directory.
Package-Manager: Portage-2.3.19, Repoman-2.3.6
media-gfx/graphviz/graphviz-2.40.1-r1.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/media-gfx/graphviz/graphviz-2.40.1-r1.ebuild
b/media-gfx/graphviz/graphviz-2.40.1-r1.ebuild
index d1f5b49c821..edc5a11b4af 100644
--- a/media-gfx/graphviz/graphviz-2.40.1-r1.ebuild
+++ b/media-gfx/graphviz/graphviz-2.40.1-r1.ebuild
@@ -257,11 +257,11 @@ src_install() {
pkgconfigdir="${EPREFIX}"/usr/$(get_libdir)/pkgconfig \
install
- if use !examples; then
- rm -r "${ED}"/usr/share/graphviz/demo || die
+ if ! use examples; then
+ rm -rf "${ED}"/usr/share/graphviz/demo || die
fi
- if use !static-libs; then
+ if ! use static-libs; then
find "${ED}" -name '*.la' -delete || die
fi